/*******************************************************************************
* Copyright (C) 2016, Fujitsu Electronics Europe GmbH or a                     *
* subsidiary of Fujitsu Electronics Europe GmbH.                               *
*                                                                              *
* This software, including source code, documentation and related materials    *
* ("Software") is developed by Fujitsu Electronics Europe GmbH ("Fujitsu")     *
* unless identified differently hereinafter for Open Source Software.          *
* All rights reserved.                                                         *
*                                                                              *
* This software is provided free of charge and not for sale, providing test    *
* and sandbox applications. Fujitsu reserves the right to make changes to      *
* the Software without notice. Before use please check with Fujitsu            *
* for the most recent software.                                                *
*                                                                              *
* If no specific Open Source License Agreement applies (see hereinafter),      *
* Fujitsu hereby grants you a personal, non-exclusive,                         *
* non-transferable license to copy, modify and compile the                     *
* Software source code solely for use in connection with products              *
* supplied by Fujitsu. Any reproduction, modification, translation,            *
* compilation, or representation of this Software requires written             *
* permission of Fujitsu.                                                       *
*                                                                              *
* NO WARRANTY: This software is provided as-is with no warranty of any kind  *
* (German Unter Ausschluss jeglicher Gewhleistung), express or implied,     *
* including but not limited to non-infringement of third party rights,         *
* merchantability and fitness for use.                                         *
*                                                                              *
* In the event the software deliverable includes the use of                    *
* open source components, the provisions of the respective governing           *
* open source license agreement shall apply with respect to such software      *
* deliverable. Open source components are identified in the read-me files      *
* of each section / subsection.                                                *
*                                                                              *
* German law applies with the exclusion of the rules of conflict of law.       *
*                                                                              *
*                                      ***                                     *
* September 2016                                                               *
* FUJITSU ELECTRONICS Europe GmbH                                              *
*                                                                              *
*******************************************************************************/
/**
 ******************************************************************************
 ** \file   mcu.h
 **
 ** Header File for device dependent includes
 **
 ** History:
 ** 2016-09-12	Manuel Schreiner	First Version
 **
 ******************************************************************************/
#ifndef __MCU_H__
#define __MCU_H__

/******************************************************************************
 ** \brief Include RTE Device
 ** 
 ******************************************************************************/

#ifndef __RTE_DEVICE_H
  #include "RTE_Device.h"
#endif

/******************************************************************************
 ** \brief MCU header file include
 ** 
 ******************************************************************************/

#ifndef _APOLLO_H_
  #include "Apollo.h"
#endif

/******************************************************************************
 ** \brief MCU system start-up header file include
 ** 
 ******************************************************************************/

#ifndef _SYSTEM_APOLLO_H_
  #include "system_apollo.h"
#endif

#endif  /* __MCU_H__ */
